% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/hydrorecipes-package.R
\docType{package}
\name{hydrorecipes-package}
\alias{hydrorecipes}
\alias{hydrorecipes-package}
\title{hydrorecipes: Hydrogeology Steps for the 'recipes' Package}
\description{
The package provides a few steps for the analysis of water level
datasets of moderately size (millions of rows) using the \code{recipes} package.
It aims to work seamlessly within the \code{tidymodels} framework of packages.
While the package was designed for water levels and pore-pressures, the
steps may be useful in other fields of study. Examples in the introduction
focus on barometric pressure and Earth tides, however, the steps may also be
applied to precipitation, river stage, ocean tides, and pumping responses.
}
\details{
You can learn about the hydrorecipes package in the vignettes:
\code{browseVignettes(package = "hydrorecipes")}
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/jkennel/hydrorecipes}
  \item Report bugs at \url{https://github.com/jkennel/hydrorecipes/issues}
}

}
\author{
\strong{Maintainer}: Jonathan Kennel \email{jkennel@uoguelph.ca}

Other contributors:
\itemize{
  \item Beth Parker [thesis advisor]
}

}
\keyword{internal}
