% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/step_distributed_lag.R, R/step_earthtide.R,
%   R/step_lead_lag.R, R/tidy2.R
\name{tidy2.step_distributed_lag}
\alias{tidy2.step_distributed_lag}
\alias{tidy2.step_earthtide}
\alias{tidy2.step_lead_lag}
\alias{tidy2.recipe}
\alias{tidy2.step}
\alias{tidy2.check}
\alias{tidy2.step_ns}
\alias{tidy2.step_intercept}
\title{tidy2.recipe}
\usage{
\method{tidy2}{step_distributed_lag}(x, ...)

\method{tidy2}{step_earthtide}(x, ...)

\method{tidy2}{step_lead_lag}(x, ...)

\method{tidy2}{recipe}(x, number = NA, id = NA, ...)

\method{tidy2}{step}(x, ...)

\method{tidy2}{check}(x, ...)

\method{tidy2}{step_ns}(x, ...)

\method{tidy2}{step_intercept}(x, ...)
}
\arguments{
\item{x}{A \code{recipe} object, step, or check (trained or otherwise).}

\item{...}{Not currently used.}

\item{number}{An integer or \code{NA}. If missing and \code{id} is not provided,
the return value is a list of the operations in the recipe.
If a number is given, a \code{tidy} method is executed for that operation
in the recipe (if it exists). \code{number} must not be provided if
\code{id} is.}

\item{id}{A character string or \code{NA}. If missing and \code{number} is not provided,
the return value is a list of the operations in the recipe.
If a character string is given, a \code{tidy} method is executed for that
operation in the recipe (if it exists). \code{id} must not be provided
if \code{number} is.}
}
\value{
A tibble with columns that vary depending on what
\code{tidy2} method is executed. When \code{number} and \code{id} are \code{NA}, a
tibble with columns \code{number} (the operation iteration),
\code{operation} (either "step" or "check"),
\code{type} (the method, e.g. 'lead_lag', 'distributed_lag'), a logical
column called \code{trained} for whether the operation has been
estimated using \code{prep}, a logical for \code{skip}, and a character column \code{id}.
}
\description{
\code{tidy2} will return a data frame that contains information
regarding a recipe or operation within the recipe (when a \code{tidy2}
method for the operation exists). This method ensures that relevant data
for \code{predict_terms} and \code{response} can be easily accessed from a recipe
formulation.
}
